<?xml version="1.0"?>
<!--
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
-->

<listing xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Ui:etc/ui_configuration.xsd">
    <argument name="data" xsi:type="array">
        <item name="js_config" xsi:type="array">
            <item name="provider" xsi:type="string">wtai_products_grid_listing.wtai_products_grid_listing_data_source</item>
            <item name="deps" xsi:type="string">wtai_products_grid_listing.wtai_products_grid_listing_data_source</item>
        </item>
        <item name="spinner" xsi:type="string">products_columns</item>
    </argument>
    <dataSource name="wtai_products_grid_listing_data_source" component="WriteTextAI_WriteTextAI/js/magento/grid/provider">
        <argument name="dataProvider" xsi:type="configurableObject">
            <argument name="class" xsi:type="string">WriteTextAI\WriteTextAI\Ui\DataProvider\Products\ListingDataProvider</argument>
            <argument name="name" xsi:type="string">wtai_products_grid_listing_data_source</argument>
            <argument name="primaryFieldName" xsi:type="string">entity_id</argument>
            <argument name="requestFieldName" xsi:type="string">entity_id</argument>
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="update_url" xsi:type="url" path="mui/index/render" />
                    <item name="storageConfig" xsi:type="array">
                        <item name="indexField" xsi:type="string">entity_id</item>
                        <item name="cacheRequests" xsi:type="boolean">false</item>
                    </item>
                </item>
            </argument>
        </argument>
        <argument name="data" xsi:type="array">
            <item name="js_config" xsi:type="array">
                <item name="component" xsi:type="string">Magento_Ui/js/grid/provider</item>
            </item>
        </argument>
    </dataSource>
    <listingToolbar name="listing_top" component="WriteTextAI_WriteTextAI/js/magento/grid/toolbar">
        <settings>
            <sticky>true</sticky>
        </settings>
        <bookmark name="bookmarks" class="WriteTextAI\WriteTextAI\Component\Bookmark">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="component" xsi:type="string">Magento_Ui/js/grid/controls/bookmarks/bookmarks</item>
                    <item name="storageConfig" xsi:type="array">
                        <item name="saveUrl" xsi:type="url" path="mui/bookmark/save"/>
                        <item name="deleteUrl" xsi:type="url" path="mui/bookmark/delete"/>
                        <item name="namespace" xsi:type="string">wtai_products_grid_listing</item>
                    </item>
                </item>
            </argument>
        </bookmark>
        <columnsControls name="columns_controls" />
        <massaction name="listing_massaction" class="WriteTextAI\WriteTextAI\Ui\Components\Products\Listing\MassActions" component="WriteTextAI_WriteTextAI/js/magento/grid/massactions">
            <argument name="data" xsi:type="array">
                <item name="data" xsi:type="array">
                    <item name="selectProvider" xsi:type="string">wtai_products_grid_listing.wtai_products_grid_listing.products_columns.ids</item>
                    <item name="displayArea" xsi:type="string">bottom</item>
                    <item name="indexField" xsi:type="string">entity_id</item>
                </item>
                <item name="config" xsi:type="array">
                    <item name="noItemsMsg" xsi:type="string" translate="true">Please select some products first.</item>
                    <item name="uploadImagesUrl" xsi:type="url" path="wtai/grid/uploadImages" />
                    <item name="saveTransferProgressUrl" xsi:type="url" path="wtai/grid/transfer_progress" />
                    <item name="bulkTransferUrl" xsi:type="url" path="wtai/grid/massTransfer" />
                    <item name="bulkTransferViaApiUrl" xsi:type="url" path="wtai/grid/massTransferViaApi" />
                    <item name="transferableUrl" xsi:type="url" path="wtai/grid/transferable" />
                    <item name="getImagesUrl" xsi:type="url" path="wtai/grid/getImages" />
                    <item name="pingUrl" xsi:type="url" path="wtai/grid/getPingStatus" />
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="currentUser">${$.provider}:data.current_user</link>
                    <link name="ids">${$.provider}:data.ids</link>
                </imports>
            </settings>
            <action name="bulk_full_automation">
                <argument name="data" xsi:type="array">
                    <item name="config" xsi:type="array">
                        <item name="type" xsi:type="string">full_automation</item>
                        <item name="label" xsi:type="string" translate="true">Full automation</item>
                        <item name="url" xsi:type="url" path="wtai/grid/massFullAutomation" />
                        <item name="pro" xsi:type="boolean">true</item>
                        <item name="confirm" xsi:type="array">
                            <item name="message" xsi:type="string">Are you sure you want to generate selected items?</item>
                        </item>
                    </item>
                </argument>
            </action>
            <action name="bulk_keyword_analysis">
                <argument name="data" xsi:type="array">
                    <item name="config" xsi:type="array">
                        <item name="type" xsi:type="string">keyword_analysis</item>
                        <item name="label" xsi:type="string" translate="true">Bulk keyword analysis</item>
                        <item name="url" xsi:type="url" path="wtai/grid/massKeywordAnalysis" />
                        <item name="pro" xsi:type="boolean">true</item>
                        <item name="confirm" xsi:type="array">
                            <item name="message" xsi:type="string">Are you sure you want to transfer selected items?</item>
                        </item>
                    </item>
                </argument>
            </action>
            <action name="bulk_generate">
                <argument name="data" xsi:type="array">
                    <item name="config" xsi:type="array">
                        <item name="type" xsi:type="string">generate</item>
                        <item name="label" xsi:type="string" translate="true">Bulk generate</item>
                        <item name="url" xsi:type="url" path="wtai/grid/massGenerate" />
                        <item name="pro" xsi:type="boolean">false</item>
                        <item name="confirm" xsi:type="array">
                            <item name="message" xsi:type="string">Are you sure you want to generate selected items?</item>
                        </item>
                    </item>
                </argument>
            </action>
            <action name="bulk_transfer">
                <argument name="data" xsi:type="array">
                    <item name="config" xsi:type="array">
                        <item name="type" xsi:type="string">transfer</item>
                        <item name="label" xsi:type="string" translate="true">Bulk transfer</item>
                        <item name="url" xsi:type="url" path="wtai/grid/massTransfer" />
                        <item name="pro" xsi:type="boolean">false</item>
                        <item name="confirm" xsi:type="array">
                            <item name="title" xsi:type="string" translate="true">Bulk transfer</item>
                            <item name="message" xsi:type="string">Are you sure you want to transfer selected items?</item>
                        </item>
                    </item>
                </argument>
            </action>
        </massaction>
        <filters name="listing_filters" component="WriteTextAI_WriteTextAI/js/magento/grid/filters/filters">
            <argument name="data" xsi:type="array">                
                <item name="config" xsi:type="array">                   
                    <item name="templates" xsi:type="array">                    
                        <item name="filters" xsi:type="array">
                            <item name="select" xsi:type="array">
                                <item name="component" xsi:type="string">Magento_Ui/js/form/element/ui-select</item>
                                <item name="template" xsi:type="string">ui/grid/filters/elements/ui-select</item>
                            </item>
                        </item>
                    </item>
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="customOpenGraph">${ $.provider}:data.custom_open_graph</link>
                    <link name="errorMessage">${ $.provider}:data.error_message</link>
                </imports>
            </settings>
            <filterSelect name="store_id" provider="${ $.parentName }" component="WriteTextAI_WriteTextAI/js/form/element/store">
                <settings>
                    <options class="WriteTextAI\WriteTextAI\Model\OptionSource\Filter\Stores"/>
                    <caption translate="true">All store views</caption>
                    <label translate="true">Store view</label>
                    <dataScope>store_id</dataScope>
                </settings>
            </filterSelect>
            <filterSelect name="writetextai_status" component="WriteTextAI_WriteTextAI/js/form/element/status" template="WriteTextAI_WriteTextAI/grid/filters/elements/status">
                <argument name="optionsProvider" xsi:type="configurableObject">
                    <argument name="class" xsi:type="string">WriteTextAI\WriteTextAI\Model\OptionSource\Filter\AiStatus</argument>
                </argument>
                <argument name="data" xsi:type="array">
                    <item name="config" xsi:type="array">
                        <item name="provider" xsi:type="string">${ $.parentName }</item>
                        <item name="dataScope" xsi:type="string">writetextai_status</item>
                        <item name="label" xsi:type="string" translate="true">WriteText.ai status</item>
                        <item name="caption" xsi:type="string" translate="true">Filter by WriteText.ai status</item>
                    </item>
                </argument>
            </filterSelect>
            <filterInput name="record_ids">
                <argument name="data" xsi:type="array">
                    <item name="config" xsi:type="array">
                        <item name="dataScope" xsi:type="string">record_ids</item>
                        <item name="label" xsi:type="string">ID</item>
                        <item name="caption" xsi:type="string">Comma separated list of record ids</item>
                        <item name="visible" xsi:type="boolean">false</item>
                    </item>
                </argument>
            </filterInput>
            <filterInput name="request_id">
                <argument name="data" xsi:type="array">
                    <item name="config" xsi:type="array">
                        <item name="dataScope" xsi:type="string">request_id</item>
                        <item name="label" xsi:type="string">Bulk request results</item>
                        <item name="caption" xsi:type="string">Comma separated list of request ids</item>
                        <item name="visible" xsi:type="boolean">false</item>
                    </item>
                </argument>
            </filterInput>
        </filters>
        <paging name="listing_paging">
            <settings>
                <options>
                    <option name="20" xsi:type="array">
                        <item name="value" xsi:type="number">20</item>
                        <item name="label" xsi:type="string">20</item>
                    </option>
                    <option name="30" xsi:type="array">
                        <item name="value" xsi:type="number">30</item>
                        <item name="label" xsi:type="string">30</item>
                    </option>
                    <option name="50" xsi:type="array">
                        <item name="value" xsi:type="number">50</item>
                        <item name="label" xsi:type="string">50</item>
                    </option>
                    <option name="100" xsi:type="array">
                        <item name="value" xsi:type="number">100</item>
                        <item name="label" xsi:type="string">100</item>
                    </option>
                </options>
            </settings>
        </paging>
        <button name="setting_button">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="displayArea" xsi:type="string">dataGridActions</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/grid/settings</item>
                    <item name="template" xsi:type="string">WriteTextAI_WriteTextAI/grid/settings</item>
                </item>
            </argument>
            <settings>
                <title><![CDATA[Save]]></title>
                <imports>
                    <link name="enableComparisonPopup">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                    <link name="originalValue">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                    <link name="entityType">${ $.provider}:data.grid_settings.entity_type</link>
                    <link name="saveUrl">${ $.provider}:data.grid_settings.url</link>
                </imports>
            </settings>
        </button>
    </listingToolbar>
    <columns name="products_columns">
        <argument name="data" xsi:type="array">
            <item name="config" xsi:type="array">
                <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/listing</item>
                <item name="template" xsi:type="string">WriteTextAI_WriteTextAI/grid/listing</item>
            </item>
        </argument>
        <selectionsColumn name="ids">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/multiselect</item>
                    <item name="indexField" xsi:type="string">entity_id</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-index data-grid-checkbox-cell</item>
                    <item name="sortOrder" xsi:type="number">10</item>
                </item>
            </argument>
        </selectionsColumn>
        <column name="entity_id">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">textRange</item>
                    <item name="label" xsi:type="string" translate="true">ID</item>
                    <item name="sortOrder" xsi:type="number">15</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
        </column>
        <column name="thumbnail" class="Magento\Catalog\Ui\Component\Listing\Columns\Thumbnail">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">Thumbnail</item>
                    <item name="component" xsi:type="string">Magento_Ui/js/grid/columns/thumbnail</item>
                    <item name="sortOrder" xsi:type="number">17</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="has_preview" xsi:type="boolean">true</item>
                </item>
            </argument>
        </column>
        <column name="product_name">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">Name</item>
                    <item name="bodyTmpl" xsi:type="string">WriteTextAI_WriteTextAI/grid/cells/html/name</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-product_name</item>
                    <item name="sortOrder" xsi:type="number">20</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="enableComparisonPopup">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                </imports>
            </settings>
        </column>
        <actionsColumn name="actions" class="WriteTextAI\WriteTextAI\Ui\Components\Products\Listing\Column\Actions">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">Actions</item>
                    <item name="resizeEnabled" xsi:type="boolean">false</item>
                    <item name="resizeDefaultWidth" xsi:type="string">107</item>
                    <item name="indexField" xsi:type="string">entity_id</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-actions</item>
                    <item name="sortOrder" xsi:type="number">25</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/actions</item>
                    <item name="bodyTmpl" xsi:type="string">WriteTextAI_WriteTextAI/grid/cells/actions</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                    <item name="imports" xsi:type="array">
                        <item name="ids" xsi:type="string">${$.provider}:data.ids</item>
                        <item name="users" xsi:type="string">${$.provider}:data.users</item>
                        <item name="currentUser" xsi:type="string">${$.provider}:data.current_user</item>
                    </item>
                </item>
            </argument>
        </actionsColumn>
        <column name="sku">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">SKU</item>
                    <item name="sortOrder" xsi:type="number">30</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-sku</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
        </column>
        <column name="traffic_potential">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">Traffic potential</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column/traffic-potential</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">32</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-traffic_potential</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
        </column>
        <column name="target_keywords">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">Target keywords</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column/target-keywords</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">33</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-target_keywords</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
        </column>
        <column name="type_id">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="component" xsi:type="string">Magento_Ui/js/grid/columns/select</item>
                    <item name="filter" xsi:type="string">select</item>
                    <item name="dataType" xsi:type="string">select</item>
                    <item name="label" xsi:type="string" translate="true">Type</item>
                    <item name="sortOrder" xsi:type="number">35</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <options class="Magento\Catalog\Model\Product\Type"/>
            </settings>
        </column>
        <column name="visibility">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="component" xsi:type="string">Magento_Ui/js/grid/columns/select</item>
                    <item name="filter" xsi:type="string">select</item>
                    <item name="dataType" xsi:type="string">select</item>
                    <item name="label" xsi:type="string" translate="true">Visibility</item>
                    <item name="sortOrder" xsi:type="number">27</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <options class="Magento\Catalog\Model\Product\Visibility"/>
            </settings>
        </column>
        <column name="status">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="component" xsi:type="string">Magento_Ui/js/grid/columns/select</item>
                    <item name="filter" xsi:type="string">select</item>
                    <item name="dataType" xsi:type="string">select</item>
                    <item name="label" xsi:type="string" translate="true">Status</item>
                    <item name="sortOrder" xsi:type="number">40</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <options class="Magento\Catalog\Model\Product\Attribute\Source\Status"/>
            </settings>
        </column>
        <column name="websites" class="Magento\Catalog\Ui\Component\Listing\Columns\Websites">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="dataType" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">Websites</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">43</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <options class="Magento\Store\Model\ResourceModel\Website\Collection"/>
            </settings>
        </column>
        <column name="ai_page_title">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">WriteText.ai meta title</item>
                    <item name="bodyTmpl" xsi:type="string">WriteTextAI_WriteTextAI/grid/cells/html</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-ai</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">45</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="enableComparisonPopup">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                </imports>
            </settings>
        </column>
        <column name="mg_page_title">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">Magento meta title</item>
                    <item name="bodyTmpl" xsi:type="string">WriteTextAI_WriteTextAI/grid/cells/html</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-mg</item>
                    <item name="sortOrder" xsi:type="number">50</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="enableComparisonPopup">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                </imports>
            </settings>
        </column>
        <column name="ai_page_description">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">WriteText.ai meta description</item>
                    <item name="bodyTmpl" xsi:type="string">WriteTextAI_WriteTextAI/grid/cells/html</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-ai</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">55</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="enableComparisonPopup">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                </imports>
            </settings>
        </column>
        <column name="mg_page_description">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">Magento meta description</item>
                    <item name="bodyTmpl" xsi:type="string">WriteTextAI_WriteTextAI/grid/cells/html</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-mg</item>
                    <item name="sortOrder" xsi:type="number">60</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="enableComparisonPopup">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                </imports>
            </settings>
        </column>
        <column name="ai_product_description">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">WriteText.ai description</item>
                    <item name="bodyTmpl" xsi:type="string">WriteTextAI_WriteTextAI/grid/cells/html</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-ai</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">65</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="enableComparisonPopup">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                </imports>
            </settings>
        </column>
        <column name="mg_product_description">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">Magento description</item>
                    <item name="bodyTmpl" xsi:type="string">WriteTextAI_WriteTextAI/grid/cells/html</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-mg</item>
                    <item name="sortOrder" xsi:type="number">70</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="enableComparisonPopup">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                </imports>
            </settings>
        </column>
        <column name="ai_short_product_description">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">WriteText.ai short description</item>
                    <item name="bodyTmpl" xsi:type="string">WriteTextAI_WriteTextAI/grid/cells/html</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-ai</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">75</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="enableComparisonPopup">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                </imports>
            </settings>
        </column>
        <column name="mg_short_product_description">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">Magento short description</item>
                    <item name="bodyTmpl" xsi:type="string">WriteTextAI_WriteTextAI/grid/cells/html</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-mg</item>
                    <item name="sortOrder" xsi:type="number">80</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="enableComparisonPopup">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                </imports>
            </settings>
        </column>
        <column name="ai_open_graph">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">WriteText.ai Open Graph text</item>
                    <item name="bodyTmpl" xsi:type="string">WriteTextAI_WriteTextAI/grid/cells/html</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-ai</item>
                    <item name="sortable" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">85</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="enableComparisonPopup">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                </imports>
            </settings>
        </column>
        <column name="mg_open_graph">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="filter" xsi:type="string">text</item>
                    <item name="label" xsi:type="string" translate="true">Magento Open Graph text</item>
                    <item name="bodyTmpl" xsi:type="string">WriteTextAI_WriteTextAI/grid/cells/html</item>
                    <item name="component" xsi:type="string">WriteTextAI_WriteTextAI/js/magento/grid/columns/column</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-mg</item>
                    <item name="sortOrder" xsi:type="number">90</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
            <settings>
                <imports>
                    <link name="enableComparisonPopup">${ $.provider}:data.grid_settings.enable_comparison_popup</link>
                </imports>
            </settings>
        </column>
        <column name="edited_at">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">Last edited in WriteText.ai</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-date</item>
                    <item name="sortOrder" xsi:type="number">100</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
        </column>
        <column name="transferred_at">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="label" xsi:type="string" translate="true">Last transferred to Magento</item>
                    <item name="fieldClass" xsi:type="string">wtai-col-date</item>
                    <item name="sortOrder" xsi:type="number">105</item>
                    <item name="draggable" xsi:type="boolean">false</item>
                </item>
            </argument>
        </column>
    </columns>
</listing>
